Bulk save contract performance obligations

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Contract Id

Request

Batch create, update, and delete performance obligations scoped to a billing term group
billingTermGroupIdstringRequired

Billing term group ID (BTG) that all operations are scoped to

toCreatelist of objectsRequired
Performance obligations to create within the billing term group
toUpdatelist of objectsRequired

Performance obligations to update (must belong to the billing term group)

toDeletelist of stringsRequired
Performance obligation IDs to delete

Response

Batch save completed successfully
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error